<?php
namespace Asalae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ArchivesFixture
 */
class ArchivesFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'state' => 'available',
                'is_integrity_ok' => null,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 2,
                'transferring_operator_id' => null,
                'agreement_id' => null,
                'profile_id' => null,
                'service_level_id' => 1,
                'access_rule_id' => 1,
                'appraisal_rule_id' => 1,
                'archival_agency_identifier' => 'sa_1',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'secure_data_space_id' => 1,
                'storage_path' => 'sa/no_profile/2021-12/sa_1',
                'name' => 'seda1.0',
                'created' => '2021-12-09T15:15:27',
                'description' => null,
                'oldest_date' => null,
                'latest_date' => null,
                'transferred_size' => 554297,
                'management_size' => 20423,
                'original_size' => 554297,
                'preservation_size' => 172355,
                'dissemination_size' => 0,
                'timestamp_size' => 0,
                'transferred_count' => 1,
                'management_count' => 3,
                'original_count' => 1,
                'preservation_count' => 1,
                'dissemination_count' => 0,
                'timestamp_count' => 0,
                'xml_node_tagname' => 'Archive[1]',
                'last_state_update' => '2021-12-09T15:20:35',
                'integrity_date' => null,
                'units_count' => 2,
                'modified' => '2021-12-09T15:24:21',
                'filesexist_date' => null,
                'next_pubdesc' => null,
                'next_search' => null,
                'archive_unit_sequence' => 1,
            ],
            [// id=2
                'state' => 'available',
                'is_integrity_ok' => null,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'transferring_operator_id' => null,
                'agreement_id' => 2,
                'profile_id' => 1,
                'service_level_id' => 1,
                'access_rule_id' => 3,
                'appraisal_rule_id' => 2,
                'archival_agency_identifier' => 'sa_2',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'secure_data_space_id' => 1,
                'storage_path' => 'sp/profile1/2021-12/sa_2',
                'name' => 'seda2.1',
                'created' => '2021-12-09T15:30:26',
                'description' => null,
                'oldest_date' => null,
                'latest_date' => null,
                'transferred_size' => 5,
                'management_size' => 31913,
                'original_size' => 5,
                'preservation_size' => 0,
                'dissemination_size' => 0,
                'timestamp_size' => 0,
                'transferred_count' => 1,
                'management_count' => 3,
                'original_count' => 1,
                'preservation_count' => 0,
                'dissemination_count' => 0,
                'timestamp_count' => 0,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'last_state_update' => '2021-12-09T15:30:29',
                'integrity_date' => null,
                'units_count' => 1,
                'modified' => '2021-12-09T15:30:29',
                'filesexist_date' => null,
                'next_pubdesc' => null,
                'next_search' => null,
                'archive_unit_sequence' => 0,
            ],
            [// id=3
                'state' => 'destroyed',
                'is_integrity_ok' => null,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'transferring_operator_id' => null,
                'agreement_id' => 2,
                'profile_id' => 1,
                'service_level_id' => 1,
                'access_rule_id' => 5,
                'appraisal_rule_id' => 3,
                'archival_agency_identifier' => 'sa_3',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'secure_data_space_id' => 1,
                'storage_path' => 'sp/profile1/2021-12/sa_3',
                'name' => 'seda2.1',
                'created' => '2021-12-09T16:21:17',
                'description' => null,
                'oldest_date' => null,
                'latest_date' => null,
                'transferred_size' => 5,
                'management_size' => 31976,
                'original_size' => 5,
                'preservation_size' => 0,
                'dissemination_size' => 0,
                'timestamp_size' => 0,
                'transferred_count' => 1,
                'management_count' => 3,
                'original_count' => 1,
                'preservation_count' => 0,
                'dissemination_count' => 0,
                'timestamp_count' => 0,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'last_state_update' => '2021-12-09T16:22:20',
                'integrity_date' => null,
                'units_count' => 1,
                'modified' => '2021-12-09T16:22:20',
                'filesexist_date' => null,
                'next_pubdesc' => null,
                'next_search' => null,
                'archive_unit_sequence' => null,
            ],
            [// id=4
                'state' => 'restituting',
                'is_integrity_ok' => null,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'transferring_operator_id' => null,
                'agreement_id' => 2,
                'profile_id' => 1,
                'service_level_id' => 1,
                'access_rule_id' => 7,
                'appraisal_rule_id' => 4,
                'archival_agency_identifier' => 'sa_4',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'secure_data_space_id' => 1,
                'storage_path' => 'sp/profile1/2021-12/sa_4',
                'name' => 'seda2.1',
                'created' => '2021-12-09T16:56:18',
                'description' => null,
                'oldest_date' => null,
                'latest_date' => null,
                'transferred_size' => 5,
                'management_size' => 31982,
                'original_size' => 5,
                'preservation_size' => 0,
                'dissemination_size' => 0,
                'timestamp_size' => 0,
                'transferred_count' => 1,
                'management_count' => 3,
                'original_count' => 1,
                'preservation_count' => 0,
                'dissemination_count' => 0,
                'timestamp_count' => 0,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'last_state_update' => '2021-12-09T16:56:19',
                'integrity_date' => null,
                'units_count' => 1,
                'modified' => '2021-12-09T16:56:19',
                'filesexist_date' => null,
                'next_pubdesc' => null,
                'next_search' => null,
                'archive_unit_sequence' => 0,
            ],
            [// id=5
                'state' => 'transferring',
                'is_integrity_ok' => null,
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'transferring_operator_id' => null,
                'agreement_id' => 2,
                'profile_id' => 1,
                'service_level_id' => 1,
                'access_rule_id' => 9,
                'appraisal_rule_id' => 5,
                'archival_agency_identifier' => 'sa_5',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'secure_data_space_id' => 1,
                'storage_path' => 'sp/profile1/2021-12/sa_5',
                'name' => 'seda2.1',
                'created' => '2021-12-09T17:19:04',
                'description' => null,
                'oldest_date' => null,
                'latest_date' => null,
                'transferred_size' => 5,
                'management_size' => 31983,
                'original_size' => 5,
                'preservation_size' => 0,
                'dissemination_size' => 0,
                'timestamp_size' => 0,
                'transferred_count' => 1,
                'management_count' => 3,
                'original_count' => 1,
                'preservation_count' => 0,
                'dissemination_count' => 0,
                'timestamp_count' => 0,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'last_state_update' => '2021-12-09T17:19:06',
                'integrity_date' => null,
                'units_count' => 1,
                'modified' => '2021-12-09T17:19:06',
                'filesexist_date' => null,
                'next_pubdesc' => null,
                'next_search' => null,
                'archive_unit_sequence' => 0,
            ],
        ];
        parent::init();
    }
}
